Module jdk.httpserver
Package com.sun.net.httpserver

# Class Authenticator.Success

java.lang.Object
com.sun.net.httpserver.Authenticator.Result
com.sun.net.httpserver.Authenticator.Success

Enclosing class:
  Authenticator

public static class Authenticator.Success extends Authenticator.Result
Indicates an authentication has succeeded and the authenticated user principal can be acquired by calling `getPrincipal()`.

## Constructor Summary

Constructors
Constructor
Description
`Success(HttpPrincipal p)`
Creates a `Success` instance with given `Principal`.

## Method Summary

Modifier and Type
Method
Description
`HttpPrincipal`
`getPrincipal()`
Returns the authenticated user `Principal`.

### Methods declared in class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### Success

public Success(HttpPrincipal p)
Creates a `Success` instance with given `Principal`.

Parameters:
  `p` - the authenticated user you wish to set as `Principal`

## Method Details

### getPrincipal

public HttpPrincipal getPrincipal()
Returns the authenticated user `Principal`.

Returns:
  the `Principal` instance associated with the authenticated user